Core - Bug # 36703

Status: Resolved Priority: Should have

Author: Christian Kuhn Category:

Created: 2012-04-29 Assigned To:

Updated: 2012-04-30 Due date:

TYPO3 Version: 6.0

PHP Version: 5.3

Complexity: no-brainer

Is Regression:

Sprint Focus:

Subject: Fix old XCLASS deprecation log

Description

The correct check for the old xclass register usage is to test for array

entry count greater than zero. Furthermore the comments have been improved.

Related issues:

related to Core - Feature # 31893: Allow XCLASSes to be defined via ext_autol... Resolved 2012-04-16
related to LTS Smooth Migration - Task # 49194: Check for 'Remove Code from C... New 2013-06-17

Associated revisions

Revision a63¢3609 - 2012-04-29 16:08 - Christian Kuhn

[BUGFIX] Fix old XCLASS deprecation log

The correct check for the old xclass register usage is to test for array

entry count greater than zero. Furthermore the comments have been improved.

Change-Id: 10ce923c3bb220872dfc6482e963240271408d9ec
Resolves: #36703

Releases: 6.0

Reviewed-on: http://review.typo3.org/10870

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 9899d30f - 2012-06-23 23:42 - Christian Kuhn

[BUGFIX] Fix old XCLASS deprecation log

The correct check for the old xclass register usage is to test for array

entry count greater than zero. Furthermore the comments have been improved.

Change-Id: 10ce923c3bb220872dfc6482€963240271408d9ec
Resolves: #36703

Releases: 6.0

Reviewed-on: http://review.typo3.org/10870

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
History

#1 - 2012-04-29 16:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10870

#2 - 2012-04-30 02:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a63c3609aba978c595005c03332497¢c3e0ab5b91.
